62 темы в этом разделе

    • 19 ответов
    • 256 просмотров
    • 5 ответов
    • 313 просмотра
    • 113 ответа
    • 14 369 просмотров
    • 3 ответа
    • 1 142 просмотра
    • 3 ответа
    • 648 просмотров
    • 65 ответов
    • 13 057 просмотров
    • 0 ответов
    • 601 просмотр
    • 0 ответов
    • 432 просмотра
    • 1 ответ
    • 536 просмотров
    • 4 ответа
    • 2 843 просмотра
    • 5 ответов
    • 1 407 просмотров
    • 5 ответов
    • 927 просмотров
    • 2 ответа
    • 1 244 просмотра
    • 16 ответов
    • 4 507 просмотров
    • 0 ответов
    • 3 388 просмотров
    • 1 ответ
    • 962 просмотра
    • 1 ответ
    • 1 139 просмотров
    • 13 ответов
    • 4 134 просмотра
    • 10 ответов
    • 11 844 просмотра
    • 13 ответов
    • 2 888 просмотров
    • 3 ответа
    • 1 927 просмотров
    • 28 ответов
    • 3 549 просмотров
    • 2 ответа
    • 1 929 просмотров
    • 10 ответов
    • 5 984 просмотра
    • 1 ответ
    • 2 590 просмотров
    • 3 ответа
    • 1 838 просмотров
    • 6 ответов
    • 2 831 просмотр
    • 1 ответ
    • 1 545 просмотров
    • 10 ответов
    • 6 330 просмотров
    • 2 ответа
    • 1 846 просмотров
    • 26 ответов
    • 6 818 просмотров
    • 4 ответа
    • 2 658 просмотров
    • 0 ответов
    • 1 558 просмотров
    • 11 ответов
    • 13 717 просмотров
    • 280 ответов
    • 43 593 просмотра
    • 3 ответа
    • 1 942 просмотра
    • 6 ответов
    • 5 247 просмотров
    • 13 ответов
    • 9 871 просмотр
    • 1 ответ
    • 3 520 просмотров
    • 5 ответов
    • 4 746 просмотров
    • 0 ответов
    • 2 115 просмотров
    • 3 ответа
    • 2 795 просмотров
    • 4 ответа
    • 3 619 просмотров
    • 7 ответов
    • 4 031 просмотр
    • 2 ответа
    • 3 547 просмотров
    • 3 ответа
    • 2 890 просмотров
    • 0 ответов
    • 2 027 просмотров
    • 4 ответа
    • 3 178 просмотров
    • 2 ответа
    • 5 792 просмотра
    • 15 ответов
    • 5 504 просмотра
  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Сообщения

    • lexincton
      Если адрес плоскостей стандартный поместите перед выводом кругового перемещения: MOM_enable_address G_plane MOM_force once G_plane   PS: G_plane конечно должен присутствовать в кадре кругового движения
    • lexincton
      1 человек ~1,5-3 недели работы с момента получения 3D модели станка = пост + верификатор Пост и верификатор сравнительно простые -  3-осевой токарно-фрезерный, с усложнением на разделение в 3 канала и реализацией точек синхронизации На видео отладочную инфу забыли убрать в виде mom_run_number = ... поэтому видео прервано перед ошибкой @Ug_user Как человеку прожженому должно быть известно, что в подобных примерах есть проблема в драйвере по управлению ЗвПО (по крайней мере в недавних версиях)-при перемещении ЗвПО в разные стороны
    • SHARit
      Дядя Лобзик, ты дурак?
    • ChipX
    • Mrt23
      Ну извините, уважаемый @lobzik, мы не избалованы...)
    • Brain (Pinkies friend)
      Доброго времени суток! Имею задачу найти на выделенных листах объекты типа NXOpen.Annotations.IdSymbol. Выделенные листы получаю через UI.GetUI().SelectionManager.GetSelectedTaggedObject(i), где они NXOpen.View. Для поиска объектов использую AskVisibleObjects(), который ругается на все неактивные листы (DrawingSheet). На просторах сети нашёл решение, использующее "костыль" в виде открывания  листа и поиска объектов в нём. Подскажите, пожалуйста как зная вид получить ссыль на конкретный лист, зная вид. Ну или другой путь решения. Собственно, код:
        private void button1_Click(object sender, EventArgs e) { int SelectedObjNum = UI.GetUI().SelectionManager.GetNumSelectedObjects(); for (int i = 0; i <= SelectedObjNum - 1; i++) { NXOpen.NXObject selectedObject = (NXOpen.NXObject)UI.GetUI().SelectionManager.GetSelectedTaggedObject(i);//UI.GetUI().SelectionManager.GetSelectedObject(0); NXOpen.View drawingView = (NXOpen.View)selectedObject; if (selectedObject != null) { DisplayableObject[] displayableObjects = drawingView.AskVisibleObjects(); foreach (DisplayableObject disobj in displayableObjects) { if (disobj.GetType().ToString() == "NXOpen.Annotations.IdSymbol") { listBox1.Items.Add("___"); NXOpen.Annotations.IdSymbol symObject = (NXOpen.Annotations.IdSymbol)disobj; AddSymInfOnList(symObject); } } } } }  
    • LxCoder
      Товарищ LxCoder ничего не утверждает и, уж тем более, не навязывает. Делайте как вашей душе угодно, и как Вам понятнее... Нравится изобретать велосипед заново - дело Ваше. Есть косой десяток способов сделать одно и то же.   Именно. Я половины не понял, что вы понаписали и для чего вам все эти фельдиперсовые функции. Углы можно рассчитать один из другого - абсолютно любые, если понимать, что хочется получить на выходе. В G-Post математический аппарат с большим количеством параметров, настроек - он вполне достаточен (по моему личному мнению) для успешного решения 99% реальных задач. Для 1% скорее всего придется использовать некоторые свои формулы преобразования (например, для станков с не вполне обычной геометрией расположения осей, например, как в DMU 160, где угловая голова расположена под 45 градусов к оси Z...).
    • Sergei
    • lexx174
      да давно,в авиапроме в этом плане неплохо продвинулись,и в плане стандартов тоже
    • lobzik
      Если Вам заработанного на этих операциях хватает на жизнь, и Вы еще можете, к примеру, делать какие то накопления - то это не демпинг.